% Function to correct data for some trials where force plates were switched:
% Written by Simon van der Helm, April 2019

function force = CorrectSwitchedForcePlateData(isubject, i_trialfile, force)

if ismember(isubject,['5','6'])%used to be hardcoded for folders, not subjects
    force(i_trialfile,[3,2]) = force(i_trialfile, [2,3]); % In these trials the force plates were switched
end