% Function for updating the variables relating to ground reaction forces and hence weight ratios
% Created by A. Pennycott, February 2023

function [weightratio_transit_vec, boxplotlabel_vec] = UpdateVectors(isubject, indices_transit, trialname, F_GRF_sound, F_GRF_pros, weightratio_transit_vec, boxplotlabel_vec)

weightratio_transit = CalcWeightRatioTransit(indices_transit, F_GRF_sound, F_GRF_pros);
boxplotlabel=repmat(['s',num2str(isubject)' ,', ', trialname(1:4)], numel(weightratio_transit), 1);
weightratio_transit_vec = [weightratio_transit_vec; weightratio_transit];
boxplotlabel_vec = [boxplotlabel_vec; boxplotlabel];