% Function to calculate indices representing transitions between phases
% Written by Simon van der Helm, April 2019

function indices_transit = CalcIndicesTransit(indices_standing_locked_knee, indices_sitting, indices_lowweightonfeet, knee_flexion_sound)

numsamples = size(knee_flexion_sound,1);
transit = ones(numsamples,1);
transit(indices_standing_locked_knee) = 0;
transit(indices_sitting) = 0;
transit(indices_lowweightonfeet) = 0;
indices_transit = find(transit);